Subject: Re: bug#67604: Motion problems with inline images

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Jun 2025 13:00:04 +0300

> From: JD Smith <[email-masked]>
> Date: Wed, 4 Jun 2025 16:47:48 -0400
> Cc: [email-masked]
> 
> > If the patch passes these two tests, feel free to install on the
> > master branch.
> 
> I do not have commit privileges; whom should I contact?
> 
> Final patch attached.  All return values of move_it_in_display_line_to are now 
> preserved, except the unwanted "early return" referenced above.  
> 
> This patch only affects the rare combination of:
> 
>   - moving in a display line to a position at the start of an image or
>     stretch
>   - which just fits on a line
>   - while word-wrapping (so it will always be wrapped)
>   - and `overflow-newline-into-fringe=t'

Thanks, I've now installed this in your name on the master branch.

Is there anything else to do here, or should this bug now be closed?